#ifndef INC_GTPULSEKNOB_H
#define INC_GTPULSEKNOB_H

#include "gtknob.h"

/************************************************************************\
*
* GtPulseKnob class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtPulseKnob : public GtKnob
{
public:
		/* Standard */
	GtPulseKnob(void);
	void Destroy(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtPulseKnob"); }
	sbool IsSubClassOf(char *cn);
		/* Notify */
	void Notify(ulong tag);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
	sbool Mouse(XEvent *xe);
private:
	static int Pulse(GtBase *obj,GtCDPtr cd,GtUDPtr ud);
protected:
		/* Instance variables */
	long del;
};

extern GtPulseKnob *GtMkPulseKnob(char *n,GtManager *p,GtTag *tgs);
extern GtPulseKnob *GtMkPulseKnob(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTPULSEKNOB_H */
